package cz.muni.fi.pb162.task3;


public abstract class AbstractMovie implements WatchingMovie
{
    private int length;
    
    public AbstractMovie(int length) {
        this.length = length;
    }
    
    @Override
    public int getLength() {
        return length;
    }
    
    @Override
    public abstract double getCost(int nPersons);

    @Override
    public double getCostPerMinute(int nPersons) {
        return getCost(nPersons) / getLength();
    }
    
    public static void foo() {
    }
    
    default void log(String str) {
        writeInfo();
    }
    
    public void writeInfo() {
        System.out.println("Movie length: " + length);
    }
}
